Problemi Installazione 10.2 RC1

21 risposte [Ultimo messaggio]
Ritratto di schlepp
schlepp
(Junior)
Offline
Junior
Iscritto: 26/04/2006
Messaggi: 9

Ciao a tutti, sto cercando di aggiornare la 10.1 con la 10.2 RC1.

Ho scaricato i 3.4GB e ho fatto il DVD.
Faccio partire il PC dicendogli di fare l'aggiornamento ma quando mi chiede su quale partizione lo voglio mi da errore..

Mi consiglia di andare a:
http://support.novell.com/techcenter/sdb/en/2003/03/fhassel_update_not_possible.html

Purtroppo non ci capisco molto..anzi, comunque seguo ciò che dice il suggerimento.
Entro in console con: xterm
su
pass
pico -w /etc/fstab

e mi risulta questo:
--------------------------------------------------------------------------------------------------
/dev/hda2 / reiserfs acl,user_xattr 1 1
/dev/hda1 swap swap default 0 0
proc /proc proc default 0 0
sysfs /sys sysfs noauto 0 0
debugfs /sys/kernel/debug debugfs noauto 0 0
usbfs /proc/bus/usb usbfs noauto 0 0
devpts /dev/pts devpts mode=0620,gid=5 0 0
mix-linux.CASA:/home/cla /nfs nfs default 0 0
---------------------------------------------------------------------------------------------------

Logicamente diverso dall'indicazione..
Cosa devo fare?
Mi aiutate per favore? Altrimenti non installo niente da solo..!!

Grazie Claudio

Ritratto di hostname99
hostname99
(Geek)
Offline
Geek
Iscritto: 29/11/2006
Messaggi: 114

Quote:

schlepp ha scritto:
Ciao a tutti, sto cercando di aggiornare la 10.1 con la 10.2 RC1.

Ho scaricato i 3.4GB e ho fatto il DVD.
Faccio partire il PC dicendogli di fare l'aggiornamento ma quando mi chiede su quale partizione lo voglio mi da errore..

Mi consiglia di andare a:
http://support.novell.com/techcenter/sdb/en/2003/03/fhassel_update_not_possible.html

Purtroppo non ci capisco molto..anzi, comunque seguo ciò che dice il suggerimento.
Entro in console con: xterm
su
pass
pico -w /etc/fstab

e mi risulta questo:
--------------------------------------------------------------------------------------------------
/dev/hda2 / reiserfs acl,user_xattr 1 1
/dev/hda1 swap swap default 0 0
proc /proc proc default 0 0
sysfs /sys sysfs noauto 0 0
debugfs /sys/kernel/debug debugfs noauto 0 0
usbfs /proc/bus/usb usbfs noauto 0 0
devpts /dev/pts devpts mode=0620,gid=5 0 0
mix-linux.CASA:/home/cla /nfs nfs default 0 0
---------------------------------------------------------------------------------------------------

Logicamente diverso dall'indicazione..
Cosa devo fare?
Mi aiutate per favore? Altrimenti non installo niente da solo..!!

Grazie Claudio

Imho,
Io aspetto la Distro del 7 dicembre poi si formatta senza aggiornare,
non mi piace l'aggironamento qualche volta una formattazione fa bene!(poi se vuoi partizionare credo che ci sia il tool apposito dentro
il DVD)

Ciao

Ritratto di schlepp
schlepp
(Junior)
Offline
Junior
Iscritto: 26/04/2006
Messaggi: 9

Purtroppo non ho proprio voglia di rifare tutta l'installazione formattando quello che ho fatto finora e con tutti i dati.. !!

Piuttosto mi tengo la 10.1 a vita se non riesco a fare l'aggiornamento..
Incredibile comunque che tu gli dici di aggiornare e poi mostra i soliti errori ecc ecc..!!

Cavoli, leggendo gli altri post vedo che uno ha fatto l'installazione al volo, l'altro anche ..tutti senza problemi..
Mi ci metto io..ed ecco che ho problemi..sono stufo..!!

Ciao
Claudio

Ritratto di rebelsoft
rebelsoft
(Junior)
Offline
Junior
Iscritto: 24/11/2006
Messaggi: 34

Quote:

schlepp ha scritto:
Purtroppo non ho proprio voglia di rifare tutta l'installazione formattando quello che ho fatto finora e con tutti i dati.. !!

Hai ragione. Altrimenti che senso avrebbe usare una distribuzione Linux Wink

Quote:

Piuttosto mi tengo la 10.1 a vita se non riesco a fare l'aggiornamento..
Incredibile comunque che tu gli dici di aggiornare e poi mostra i soliti errori ecc ecc..!!

Fino a quando è supportata (ovvero escono gli update di sicurezza) e non hai particolari esigenze allora ti consiglio di rimanere con l'attuale versione. Un aggiornamento "totale" resta comunque un momento delicatissimo e va pianificato con cura e attenzione soprattutto se non si è particolarmente esperti. Distribuzioni come la OpenSuSE fanno davvero tutto da sole e devo ammettere che lo fanno anche piuttosto bene. Ti posso dire che è improbabile che ci siano problemi (almeno grossi), tuttavia tra improbabile e impossibile c'è una differenza enorme quindi...

Aggiungo che quando ti appresti a fare un'operazione del genere non dimenticare mai le tre regole fondamentali:

(1) Backup
(2) Backup
(3) Backup

Fai un programma che anche un idiota puo'
usare, e soltanto un idiota vorrà usarlo.

Ritratto di pernix
pernix
(Guru)
Offline
Guru
Iscritto: 07/07/2006
Messaggi: 995

Quote:

schlepp ha scritto:
Ho scaricato i 3.4GB e ho fatto il DVD.
Faccio partire il PC dicendogli di fare l'aggiornamento ma quando mi chiede su quale partizione lo voglio mi da errore..

Perché non provi ad usare la funzione YaST -> Software -> Aggiornamento del sistema? Io l'ho fatto e il computer va bene. L'unica cosa è che devi aggiungere i repo di packman e guru della versione 10.2 e il repo degli update di suse della 10.2.

In a world without walls and fences, who needs Windows ad Gates?

openSUSE 10.3 - KDE+Compiz
Dell Latitude D820N: Intel T7200 2GHz; 2GB RAM 667MHz; Nvidia Quadro NVS 120M 512MB

Ritratto di schlepp
schlepp
(Junior)
Offline
Junior
Iscritto: 26/04/2006
Messaggi: 9

Certo l'ho fatto..e mi dice..non compatibile..

eppure la distro è più che giusta..dato che l'ho installata da nuovo dove ho anche Windows..!!

Le repo le ho messe tutte...le ho trovate quì nei post.!!

Ciao Grazie
Claudio

Ritratto di pernix
pernix
(Guru)
Offline
Guru
Iscritto: 07/07/2006
Messaggi: 995

Scusami, ma che cosa non è compatibile? Mi ricordo che anch'io ho ricevuto questo messaggio, ma poi ho risolto cambiando i repo. Posta per altro i repo che stai utilizzando.

In a world without walls and fences, who needs Windows ad Gates?

openSUSE 10.3 - KDE+Compiz
Dell Latitude D820N: Intel T7200 2GHz; 2GB RAM 667MHz; Nvidia Quadro NVS 120M 512MB

Ritratto di schlepp
schlepp
(Junior)
Offline
Junior
Iscritto: 26/04/2006
Messaggi: 9

Bè..io non sono andato avanti anche perchè poi non saprei più come muovermi..se dovesse chiedermi di partizionare ecc!!

i repo sono questi:

http://fr2.rpmfind.net/linux/opensuse/distribution/SL-OSS-factory/inst-source

http://ftp.skynet.be/ftp/mirror/packman/suse/10.2

http://ftp.skynet.be/ftp/mirror/suse.com/suse/update/10.2

http://ftp.skynet.be/ftp/mirror/suse-guru/rpm/10.2/RPMS

Ciao Grazie
Claudio

Ritratto di pernix
pernix
(Guru)
Offline
Guru
Iscritto: 07/07/2006
Messaggi: 995

Quote:

schlepp ha scritto:
Bè..io non sono andato avanti anche perchè poi non saprei più come muovermi..se dovesse chiedermi di partizionare ecc!!

i repo sono questi:

http://fr2.rpmfind.net/linux/opensuse/distribution/SL-OSS-factory/inst-source

http://ftp.skynet.be/ftp/mirror/packman/suse/10.2

http://ftp.skynet.be/ftp/mirror/suse.com/suse/update/10.2

http://ftp.skynet.be/ftp/mirror/suse-guru/rpm/10.2/RPMS

Ciao Grazie
Claudio

Non ti fa partizionare nulla, ti fa solo aggiornare i pacchetti, è più o meno come fare un aggiornamento standard con yast, in più devi dirgli se vuoi un aggiornamento delle impostazioni o solo dei pacchetti e se vuoi fare o meno un backup di /etc/sysconfig
Al posto di fr2.rpmfind.net usa il mirror estone che trovi in opensuse.org perché mi pare essere più veloce, aggiungi anche quello dei software non-oss e abilita tutte le fonti e il loro aggiornamento.

In a world without walls and fences, who needs Windows ad Gates?

openSUSE 10.3 - KDE+Compiz
Dell Latitude D820N: Intel T7200 2GHz; 2GB RAM 667MHz; Nvidia Quadro NVS 120M 512MB

Ritratto di schlepp
schlepp
(Junior)
Offline
Junior
Iscritto: 26/04/2006
Messaggi: 9

è appunto quando vado avanti che comincia a buttarmi fuori un'infinità di dipendenze che non vanno..

Non so quante sono perchè ad un certo punto ho smesso di dirgli non installare ecc ecc..!!

Da notare che in Yast - cambia sorgente d'installazione- ora ho solamente queste repo che ti ho mensionato..ho tolto quelle che riguardavano la 10.1..!!

Non so proprio cosa fare a questo punto..!!

Grazie
Claudio

Ritratto di pernix
pernix
(Guru)
Offline
Guru
Iscritto: 07/07/2006
Messaggi: 995

Per caso le dipendenze che non vanno sono del tipo "non si trova un supporto per il pacchetto, ecc..." o qualcosa di simile?
Quando ti dà questo errore prova a dirgli di non installare il pacchetto che da problemi, lo so che sono tanti, ma se guardi bene la maggior parte non ti serviranno (a me voleva installare dei moduli di qt3 per 64bit quando io ho un 32). Arriva alla fine e controlla se le altre dipendenze sono a posto. Poi fai un'altra cosa: se trovi dei pacchetti segnati in rosso (cioè con una versione più nuova di quella disponibile sul media di installazione) fai il downgrade per essere sicuro che mette la versione per la 10.2.
Fammi sapere

In a world without walls and fences, who needs Windows ad Gates?

openSUSE 10.3 - KDE+Compiz
Dell Latitude D820N: Intel T7200 2GHz; 2GB RAM 667MHz; Nvidia Quadro NVS 120M 512MB